## 0ad 0.0.25b

=== source/tools/i18n/requirements.txt ===
babel~=2.6
lxml~=4.5
transifex-client>=0.14
