=== source/tools/lobbybots/requirements.txt ===
dnspython
sleekxmpp
sqlalchemy
