=== debian/changelog ===
0ad (0.0.25b-2) unstable; urgency=medium

  * Team upload
  * Add patches from Ubuntu (Closes: #1008075)
    - d/p/fix-build-mozjs-with-python-3.10.patch:
      Add patch from upstream via Ubuntu to fix FTBFS with Python 3.10
    - d/p/fix-build-atlas-gcc11-glibc-2.35.patch:
      Add patch from upstream via Ubuntu to fix future FTBFS with glibc 2.35

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Mar 2022 12:29:22 +0100

0ad (0.0.25b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building mozjs on armhf (Closes: #1001882)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Dec 2021 01:34:12 +0800

0ad (0.0.25b-1) unstable; urgency=medium

  [David W. Kennedy <dave_k@reasoned.us>]
  * Package new upstream release. 
  * d/control: Update required versions of dependencies.
  * d/copyright: Update and correct copyright information of debian package
    and embedded libraries
  * d/install: Install binaries/system/readme.txt as README.command-line.txt,
    also mark install executable to support renaming README.txt with dh-exec.
  * d/rules: Clean up build files for libnvtt and spidermonkey in 
    dh_auto_clean.
  * d/rules: Exclude libmozjs78-ps-release.so from dh_dwz in order to work 
    around a crash in dwz.
  * d/source/local-options: Abort on changes to the upstream source code 
    before committing to the upstream branch of Debian Salsa VCS
  * d/watch: Update URL for releases.

  [ Ludovic Rousseau ]
  * Fix "New upstream release of 0ad - version 0.0.25" (Closes: #992017)
  * d/control: use https:// for Homepage: URL
  * d/install: make the script executable
  * New upstream release 0.0.25b
  * d/patches/TestStunClient: remove failing test

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 Aug 2021 15:28:30 +0200

0ad (0.0.24b-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Install the AppStream file to /usr/share/metainfo, as /usr/share/appdata
    is a long time deprecated location.
  * Install the application icon in the XDG hicolor icon theme, rather than
    the legacy pixmaps location.

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Tue, 11 May 2021 08:48:59 +0200
