=== debian/watch ===
version=3
https://releases.wildfiregames.com/0ad-([\d\.]+)-.*-unix-build\.tar\.gz
