## 0ad 0.0.25b-1~oibaf~f+10.0trisquel1

=== debian/changelog ===
0ad (0.0.25b-1~oibaf~f+10.0trisquel1) nabia-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Aug 2021 05:08:44 +0000

0ad (0.0.25b-1~oibaf~f) focal; urgency=medium

  * New release.

 -- Fabio Pedretti <fmrummey@gmail.com>  Mon, 16 Aug 2021 14:31:59 +0100

0ad (0.0.25-1+nmu1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release. 
  * d/control: Update required versions of dependencies.
  * d/rules: Clean up build files for libnvtt and spidermonkey in 
    dh_auto_clean.
  * d/rules: Exclude libmozjs78-ps-release.so from dh_dwz in order to work 
    around a crash in dwz.
  * d/watch: Update URL for releases.

 -- David W. Kennedy <dave_k AT reasoned DOT us>  Mon, 09 Aug 2021 22:32:21 +0000
