=== debian/control ===
--- 
+++ 
@@ -7,11 +7,9 @@
  Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
  autoconf,
- automake,
  cargo,
  cmake,
  debhelper-compat (= 12),
- dh-exec (>= 0.1),
  dpkg-dev (>= 1.15.5),
  libboost-dev (>= 1.57.0.1),
  libboost-filesystem-dev (>= 1.57.0.1),
@@ -19,12 +17,13 @@
  libenet-dev (>= 1.3),
  libfmt-dev (>= 4.0.0),
  libgloox-dev (>= 1.0.10),
- libicu-dev (>= 67.1-4~),
+ libicu-dev,
  libminiupnpc-dev (>= 1.6),
+ libnspr4-dev,
  libogg-dev,
  libopenal-dev,
  libpng-dev,
- libsdl2-dev (>= 2.0.5),
+ libsdl2-dev (>= 2.0.2),
  libsodium-dev (>= 1.0.14),
  libvorbis-dev,
  libwxgtk3.0-gtk3-dev,
@@ -34,10 +33,9 @@
  pkg-config,
  python3,
  rustc (>= 1.41),
- tzdata,
  zlib1g-dev (>= 1:1.2.3)
 Standards-Version: 4.5.0
-Homepage: https://play0ad.com/
+Homepage: http://play0ad.com/
 Vcs-Git: https://salsa.debian.org/games-team/0ad.git
 Vcs-Browser: https://salsa.debian.org/games-team/0ad
 Rules-Requires-Root: no
