=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,8 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='0ad-dbg (<< 0.0.20-2~)'
 
+override_dh_dwz:
+	dh_dwz -Xlibmozjs78-ps-release.so
+
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/games/0ad
-
-override_dh_dwz:
-	dh_dwz -Xlibmozjs78-ps-release.so
